Subject: bug#68200: 30.0.50; Emacs reloads init file when calling `documentation'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Jan 2024 21:22:08 +0200

> Date: Thu, 11 Jan 2024 18:10:58 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > No, 40MB is far from being negligible.
> 
> It's not negligible compared with the rest of Emacs, but is less than ¼%
> of the RAM in a machine with 16GB.

No, it isn't, because most of those 16GB are in use at any given
moment.

> No, the bug has been fixed.  But, as Michael pointed out, lots of things
> are being done with doc strings now which weren't being done when the
> dynamic doc strings were introduced.  Indeed, they were surely a
> workaround for limited RAM in machines a very long time ago.
> 
> Now that we're doing more with doc strings, the inconvenience of not
> getting a doc string after editing a source file might well outweigh the
> relatively small amount of RAM that these doc strings need.
> 
> Hence the suggestion to change the default.

Since I disagree with your argument about memory being available for
free, I also disagree with the suggestion that is based on that
argument.